import { jsx } from "react/jsx-runtime";
import { ArrowLineUp as ArrowLineUp$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ArrowLineUp = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ArrowLineUp", ...props, children: /* @__PURE__ */ jsx(ArrowLineUp$1, { weight: variant }) });
  }
);
ArrowLineUp.displayName = "ArrowLineUp";
Object.assign(ArrowLineUp, { isGdsIcon: true });
export {
  ArrowLineUp
};
